package com.jscape.inet.protocol;

import com.jscape.util.event.EventHandler;

/**
 * @author Alex Usun
 */
public class SessionClosedEvent
        extends AbstractSessionEvent {

    public final String type;

    public SessionClosedEvent(Session session, String type) {
        super(session);

        this.type = type;
    }

    protected void accept(EventHandler handler) {
        ((Handler) handler).handle(this);
    }

    public interface Handler
            extends EventHandler {

        void handle(SessionClosedEvent event);

    }

}
